2 Replies Latest reply on Mar 8, 2012 1:03 AM by chandraprabha rajput

    jaxb-impl

    chandraprabha rajput Novice

      Hi All,

       

      I am getting Unmarshalling Error when i am running my application in servicemix but when i run a test class outside servicemix it runs fine .

       

      Outside servicemix i am using

       

       

       

      Kindly let me know how to set servicemix to use a particular version of jaxb

        • 1. Re: jaxb-impl
          Freeman(Yue) Fang Master

          Hi,

           

          You need tell use which FUSE ESB version you're using.

           

          And FUSE ESB install jaxb-api/impl bundle by default, it's very fundamental bundle which used by jax-ws and also other component, so it's hard for you to replace them for a certain FUSE ESB.

           

          But jaxb has backward compatibility so you can always use jaxb 2.2, and ensure your customer bundle not embed any jaxb bundle, just use the one from OSGi container.

           

          Freeman

          • 2. Re: jaxb-impl
            chandraprabha rajput Novice

            Thanks for reply .I am using apache-servicemix-4.4.1-fuse-02-05.

             

            My project detail:

            I have using CXF plugin to generate the java class from wsdl .

            When I run  junit it runs fine with jaxb-impl dependency but fails if i add cxf-rt-frontend-jaxws).

             

            When i am runing on servicemix it fails